Skip to main content
POST
/
orgs
/
{orgId}
/
audit-logs
/
export
cURL
curl --request POST \
  --url https://api.useanima.sh/v1/orgs/{orgId}/audit-logs/export \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "format": "json",
  "startDate": "<string>",
  "endDate": "<string>",
  "action": "<string>",
  "resourceType": "<string>"
}
'
{
  "data": "<string>",
  "count": 123
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

orgId
string
required

Organization identifier

Body

application/json

Input for exporting audit logs

format
enum<string>
default:json

Export format

Available options:
csv,
json
startDate
string

ISO 8601 start date

endDate
string

ISO 8601 end date

actorType
enum<string>

Filter by actor type

Available options:
API_KEY,
USER,
SYSTEM,
AGENT
action
string

Filter by action

resourceType
string

Filter by resource type

Response

200 - application/json

OK

Exported audit log data

data
string
required

Exported data as string (CSV or JSON)

format
enum<string>
required

Format of the exported data

Available options:
csv,
json
count
integer
required

Number of records exported